# Zenfirewall Apache 2.4+ Blocklist
# Generated: 2026-01-15 03:00:02
# IPs reported in last 7 days (SQL attacks)
# Total IPs: 67
# Usage: Include this file in your Apache configuration (Apache 2.4+)
#
# Example Apache configuration:
#   <Directory /var/www/html>
#       Include /path/to/zenblock-sql-apache-7days.conf
#   </Directory>

<RequireAll>
    Require all granted
    Require not ip 100.28.44.58
    Require not ip 103.75.11.70
    Require not ip 107.20.181.148
    Require not ip 108.129.148.52
    Require not ip 113.179.198.149
    Require not ip 119.73.112.185
    Require not ip 143.20.129.113
    Require not ip 146.70.211.79
    Require not ip 149.88.22.161
    Require not ip 151.106.8.101
    Require not ip 154.43.40.228
    Require not ip 158.94.210.17
    Require not ip 167.71.245.156
    Require not ip 179.60.150.123
    Require not ip 18.201.84.234
    Require not ip 18.202.35.17
    Require not ip 18.224.24.186
    Require not ip 181.91.85.135
    Require not ip 185.206.200.147
    Require not ip 185.228.3.33
    Require not ip 186.227.68.199
    Require not ip 188.213.202.47
    Require not ip 188.236.173.227
    Require not ip 190.112.175.92
    Require not ip 190.211.155.198
    Require not ip 190.235.167.162
    Require not ip 190.57.197.84
    Require not ip 190.89.6.133
    Require not ip 191.205.46.39
    Require not ip 193.46.255.93
    Require not ip 194.164.194.65
    Require not ip 197.3.141.219
    Require not ip 197.63.28.74
    Require not ip 197.95.61.8
    Require not ip 200.196.38.182
    Require not ip 203.215.178.101
    Require not ip 209.50.181.108
    Require not ip 213.204.70.70
    Require not ip 216.26.226.55
    Require not ip 216.26.252.151
    Require not ip 217.154.174.144
    Require not ip 3.15.168.171
    Require not ip 3.250.163.74
    Require not ip 3.253.57.102
    Require not ip 34.243.253.145
    Require not ip 34.254.97.83
    Require not ip 37.225.93.54
    Require not ip 37.72.172.198
    Require not ip 38.146.28.114
    Require not ip 45.131.109.210
    Require not ip 45.134.79.95
    Require not ip 45.3.51.37
    Require not ip 46.6.124.248
    Require not ip 5.181.86.133
    Require not ip 52.237.33.112
    Require not ip 54.249.98.110
    Require not ip 64.225.50.130
    Require not ip 65.111.22.30
    Require not ip 68.235.46.168
    Require not ip 74.7.243.192
    Require not ip 84.54.73.37
    Require not ip 89.37.63.161
    Require not ip 91.186.231.98
    Require not ip 91.215.85.12
    Require not ip 91.238.181.170
    Require not ip 91.238.181.19
    Require not ip 95.127.21.39
</RequireAll>
